# Uses of Interface
com.usatiuk.dhfs.remoteobj.JDataRemoteDto

Packages that use JDataRemoteDto
Package
Description
com.usatiuk.dhfs.invalidation
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.remoteobj
com.usatiuk.dhfs.rpc
com.usatiuk.dhfs.syncmap
com.usatiuk.dhfsfs.objects

## Uses of JDataRemoteDto in com.usatiuk.dhfs.invalidation

Methods in com.usatiuk.dhfs.invalidation that return JDataRemoteDto
Modifier and Type
Method
Description
`JDataRemoteDto`
IndexUpdateOp.`data()`
Returns the value of the `data` record component.
Constructors in com.usatiuk.dhfs.invalidation with parameters of type JDataRemoteDto
Modifier
Constructor
Description
``
`IndexUpdateOp(JObjectKey key, org.pcollections.PMap<PeerId,Long> changelog, JDataRemoteDto data)`
Creates an instance of a `IndexUpdateOp` record class.

## Uses of JDataRemoteDto in com.usatiuk.dhfs.peersync

Classes in com.usatiuk.dhfs.peersync that implement JDataRemoteDto
Modifier and Type
Class
Description
`final record`
`PeerInfo`

## Uses of JDataRemoteDto in com.usatiuk.dhfs.remoteobj

Classes in com.usatiuk.dhfs.remoteobj with type parameters of type JDataRemoteDto
Modifier and Type
Interface
Description
`interface`
`ObjSyncHandler<T extends JDataRemote,D extends JDataRemoteDto>`
Methods in com.usatiuk.dhfs.remoteobj with type parameters of type JDataRemoteDto
Modifier and Type
Method
Description
`<D extends JDataRemoteDto>
void`
SyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, D receivedData)`
Methods in com.usatiuk.dhfs.remoteobj that return JDataRemoteDto
Modifier and Type
Method
Description
`JDataRemoteDto`
ReceivedObject.`data()`
Returns the value of the `data` record component.
Methods in com.usatiuk.dhfs.remoteobj that return types with arguments of type JDataRemoteDto
Modifier and Type
Method
Description
`default Class<? extends JDataRemoteDto>`
JDataRemote.`dtoClass()`
Constructors in com.usatiuk.dhfs.remoteobj with parameters of type JDataRemoteDto
Modifier
Constructor
Description
``
`ReceivedObject(org.pcollections.PMap<PeerId,Long> changelog, JDataRemoteDto data)`
Creates an instance of a `ReceivedObject` record class.

## Uses of JDataRemoteDto in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc that return JDataRemoteDto
Modifier and Type
Method
Description
`JDataRemoteDto`
TemporaryRemoteObjectSerializer.`deserialize(JDataRemoteDtoP message)`
Methods in com.usatiuk.dhfs.rpc with parameters of type JDataRemoteDto
Modifier and Type
Method
Description
`JDataRemoteDtoP`
TemporaryRemoteObjectSerializer.`serialize(JDataRemoteDto object)`

## Uses of JDataRemoteDto in com.usatiuk.dhfs.syncmap

Classes in com.usatiuk.dhfs.syncmap with type parameters of type JDataRemoteDto
Modifier and Type
Interface
Description
`interface`
`DtoMapper<F extends JDataRemote,D extends JDataRemoteDto>`
Methods in com.usatiuk.dhfs.syncmap with type parameters of type JDataRemoteDto
Modifier and Type
Method
Description
`<F extends JDataRemote, D extends JDataRemoteDto>
F`
DtoMapperService.`fromDto(D from, Class<F> to)`
`<F extends JDataRemote, D extends JDataRemoteDto>
D`
DtoMapperService.`toDto(F from, Class<D> to)`

## Uses of JDataRemoteDto in com.usatiuk.dhfsfs.objects

Classes in com.usatiuk.dhfsfs.objects that implement JDataRemoteDto
Modifier and Type
Class
Description
`final record`
`ChunkData`
ChunkData is a data structure that represents an immutable binary blob
`final record`
`FileDto`
FileDto is a data transfer object that contains a file and its chunks.
Methods in com.usatiuk.dhfsfs.objects that return types with arguments of type JDataRemoteDto
Modifier and Type
Method
Description
`Class<? extends JDataRemoteDto>`
File.`dtoClass()`